//  Persistence of Vision Raytracer V3.5
//  World definition file.
//
//  Contains 4 lights, 9 materials and 31 primitives.
//
//  This file was generated for POV-Ray V3.5 by
//  Moray V3.5 For Windows Copyright (c) 1993-2003 Lutz + Kretzschmar
//

//  Date : 03/24/2019    (24.03.2019)
//



/* // Scene Comment

This scene was created with Moray V3.5 For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <0.301961,0.301961,0.301961>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.678431,0.513725,0.423529>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  noise_generator 2
  charset ascii
  radiosity {
    brightness       3.3
    count            100
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
    #if (version>3.1)
      adc_bailout      0.01
      max_sample       -1.0
      media            off
      normal           off
      always_sample    1

      pretrace_start   0.08
      pretrace_end     0.04
    #end
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera01
  location  <   -401.100,    -479.700,     357.100>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.35951,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         40.86044    // Vertical      30.645
  look_at   <     16.200,     -23.200,      14.900>
}

//
// *******  L I G H T S *******
//

light_source {   // Light003
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  scale 10.0
  translate  <205.8, 231.7, 352.0>
}

light_source {   // Spotlight Spotlight001
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.5712
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    14.917  // outer radius (in deg)
    radius     5.798  // inner radius
    tightness  23.610
  fade_distance  200.0
  fade_power 1.0
  media_attenuation on
  scale <100.0, 97.800003, 126.199997>
  rotate 50.0*x
  translate  <0.0, -300.3, 318.2>
}

light_source {   // Light002
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  fade_distance  400.0
  fade_power 1.0
  media_attenuation on
  scale 100.0
  translate  <268.8, -409.6, 60.0>
}

light_source {   // Light001
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  fade_distance  450.0
  fade_power 1.0
  media_attenuation on
  scale 100.0
  translate  <-287.4, 105.2, 316.2>
}


//
// ********  MATERIALS  *******
//

#include "meuble_comptoir_cuisine_181108.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//



text {   // TText001
  ttf    "C:\WINDOWS\Fonts\Arial.ttf",
  "08/11/2018    Paulfjujo",
  1.0,  // Depth
  <0.0,   0.0, 0.0> // Offset
  material {
    T_Chrome_2B
  }
  scale <10.0, 10.0, 2.0>
  rotate <90.0, 0.0, -45.0>
  translate  <-10.212048, 178.731083, 157.889157>
}









#declare CSG002 = difference {
  box { // Cube010
    <-1, -1, -1>, <1, 1, 1>
    scale <110.099998, 45.0, 75.099998>
    translate  <-0.5, -5.1, 4.9>
  }
  box { // Cube015
    <-1, -1, -1>, <1, 1, 1>
    scale <109.5, 50.0, 75.5>
    translate  <0.0, -12.2, 4.5>
  }
}
#declare RndCube003 = merge {
  sphere { <0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, 0.4000, -0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  box { <-0.4000, -0.4000, -0.5000> <0.4000, 0.4000, 0.5000> }
  box { <-0.4000, -0.5000, -0.4000> <0.4000, 0.5000, 0.4000> }
  box { <-0.5000, -0.4000, -0.4000> <0.5000, 0.4000, 0.4000> }
  material {
    Bois
  }
  scale <245.0, 60.0, 8.0>
  translate  <0.5, 49.5, 133.8>
}
#declare CSG001_coin_G = difference {
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 28.0, 17.0>
    translate  <-118.0, 14.6, 112.2>
  }
  box { // Cube014
    <-1, -1, -1>, <1, 1, 1>
    scale <3.4, 32.0, 18.0>
    rotate 45.0*x
    translate  <-118.0, -2.1, 121.3>
  }
  material {
    Melamine_blanc
  }
  translate  1.5*x
}
#declare CSG001_coin_D = difference {
  box { // Cube016
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 28.0, 17.200001>
    translate  <-118.0, 15.8, 111.9>
  }
  box { // Cube017
    <-1, -1, -1>, <1, 1, 1>
    scale <3.4, 32.0, 18.0>
    rotate 45.0*x
    translate  <-118.0, -2.1, 121.3>
  }
  material {
    Melamine_blanc
  }
  translate  <234.6, -0.7, 1.0>
}
#declare RndCube004 = merge {
  sphere { <0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, 0.4000, -0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  box { <-0.4000, -0.4000, -0.5000> <0.4000, 0.4000, 0.5000> }
  box { <-0.4000, -0.5000, -0.4000> <0.4000, 0.5000, 0.4000> }
  box { <-0.5000, -0.4000, -0.4000> <0.5000, 0.4000, 0.4000> }
  material {
    Bois
  }
  scale <241.0, 119.0, 5.6>
  translate  <0.8, -16.4, 92.4>
}
#declare CSG001 = difference {
  object { RndCube004 }
  box { // bord_decoupe_droite
    <-1, -1, -1>, <1, 1, 1>
    scale <125.0, 3.5, 3.5>
    rotate <-0.0, 0.0, -0.0>
    translate  <0.4, 39.0, 92.5>
  }
  translate  <0.0, 0.6, -0.2>
}
#declare Plan_de_travail = union {
  box { // Tasseau_1cm
    <-1, -1, -1>, <1, 1, 1>
    scale <120.0, 3.5, 2.2>
    rotate <-0.0, 0.0, -0.0>
    translate  <0.4, 39.2, 92.5>
  }
  object { CSG001 }
  material {
    Bois
  }
}
#declare Mur_Siporex = union {
  box { // Siporex_Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <62.5, 7.0, 50.0>
    translate  <-57.6, 57.3, -38.7>
  }
  box { // Siporex_Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale <62.0, 7.0, 50.0>
    translate  <-58.0, 57.6, 62.1>
  }
  box { // Siporex_Cube003
    <-1, -1, -1>, <1, 1, 1>
    scale <57.0, 7.0, 50.0>
    translate  <62.9, 57.3, -38.7>
  }
  box { // Siporex_Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale <57.0, 7.0, 50.0>
    translate  <62.9, 57.5, 61.9>
  }
  box { // Siporex_Cube005
    <-1, -1, -1>, <1, 1, 1>
    scale <62.0, 7.0, 9.0>
    translate  <-57.3, 57.5, 121.6>
  }
  box { // Siporex_Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <57.0, 7.0, 9.0>
    translate  <62.9, 57.5, 121.6>
  }
  box { // Tasseau_sous_siporex
    <-1, -1, -1>, <1, 1, 1>
    material {
      Wood_6
    }
    scale <120.0, 4.0, 1.0>
    translate  <0.8, 56.7, -89.7>
  }
  material {
    gray10_txt
  }
  translate  <0.0, -0.8, -0.2>
}
union { // Comptoir_Cuisine
  box { // Etagere_centrale
    <-1, -1, -1>, <1, 1, 1>
    material {
      Melamine_blanc
    }
    scale <112.0, 57.0, 2.5>
    translate  <1.6, -13.1, 11.3>
  }
  box { // Separation_Vert_D
    <-1, -1, -1>, <1, 1, 1>
    material {
      Melamine_blanc
    }
    scale <2.5, 53.0, 37.0>
    translate  <12.6, -9.7, 51.3>
  }
  box { // Fond
    <-1, -1, -1>, <1, 1, 1>
    scale <112.0, 57.0, 2.5>
    translate  <1.6, -14.0, -71.6>
  }
  box { // Arriere_120x110
    <-1, -1, -1>, <1, 1, 1>
    material {
      Melamine_blanc
    }
    scale <120.0, 2.5, 110.0>
    translate  <0.0, 46.4, 18.8>
  }
  box { // Cote_D
    <-1, -1, -1>, <1, 1, 1>
    material {
      Melamine_blanc
    }
    scale <2.5, 60.0, 90.0>
    translate  <117.4, -10.9, -0.5>
  }
  box { // Cote_G
    <-1, -1, -1>, <1, 1, 1>
    material {
      Melamine_blanc
    }
    scale <3.5, 60.0, 90.0>
    translate  <-115.0, -11.0, -0.8>
  }
  object { CSG002 }
  object { RndCube003 }
  object { CSG001_coin_G }
  object { CSG001_coin_D }
  box { // Separation_Vert_G
    <-1, -1, -1>, <1, 1, 1>
    scale <2.5, 53.0, 38.0>
    translate  <-12.2, -10.0, -30.4>
  }
  object { Plan_de_travail }
  object { Mur_Siporex }
  box { // Tasseau_bas_avant
    <-1, -1, -1>, <1, 1, 1>
    material {
      Wood_6
    }
    scale <112.0, 3.0, 4.0>
    translate  <1.6, -59.8, -79.3>
  }
  material {
    Melamine_blanc
  }
}


box { // Carrelage_salon
  <-1, -1, -1>, <1, 1, 1>
  material {
    Carreaux_Salon
  }
  scale <800.0, 790.0, 1.0>
  translate  <0.8, -42.9, -94.3>
}


